Package ru.yandex.clickhouse.except

## Enum ClickHouseErrorCode

- java.lang.Object
- - java.lang.Enum<ClickHouseErrorCode>
  - - ru.yandex.clickhouse.except.ClickHouseErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<ClickHouseErrorCode>`

    public enum ClickHouseErrorCode
    extends Enum<ClickHouseErrorCode>

### Enum Constant Summary

Enum Constants
`ABORTED`
`ADDING_REPLICA_TO_NON_EMPTY_TABLE`
`AGGREGATE_FUNCTION_DOESNT_ALLOW_PARAMETERS`
`AGGREGATE_FUNCTION_NOT_APPLICABLE`
`AIO_COMPLETION_ERROR`
`AIO_READ_ERROR`
`AIO_SUBMIT_ERROR`
`AIO_WRITE_ERROR`
`ALIAS_REQUIRED`
`ALL_CONNECTION_TRIES_FAILED`
`ALL_REPLICAS_ARE_STALE`
`ALL_REPLICAS_LOST`
`ALL_REQUESTED_COLUMNS_ARE_MISSING`
`AMBIGUOUS_COLUMN_NAME`
`AMBIGUOUS_IDENTIFIER`
`AMBIGUOUS_TABLE_NAME`
`ARGUMENT_OUT_OF_BOUND`
`ATTEMPT_TO_READ_AFTER_EOF`
`BAD_ARGUMENTS`
`BAD_CAST`
`BAD_COLLATION`
`BAD_DATA_PART_NAME`
`BAD_DATABASE_FOR_TEMPORARY_TABLE`
`BAD_GET`
`BAD_LAMBDA`
`BAD_ODBC_CONNECTION_STRING`
`BAD_REQUEST_PARAMETER`
`BAD_SIZE_OF_FILE_IN_DATA_PART`
`BAD_TTL_EXPRESSION`
`BAD_TTL_FILE`
`BAD_TYPE_OF_FIELD`
`BARRIER_TIMEOUT`
`BLOCKS_HAS_DIFFERENT_STRUCTURE`
`BROTLI_READ_FAILED`
`BROTLI_WRITE_FAILED`
`CANNOT_ADD_DIFFERENT_AGGREGATE_STATES`
`CANNOT_ALLOCATE_MEMORY`
`CANNOT_APPEND_HISTORY`
`CANNOT_APPLY_CATBOOST_MODEL`
`CANNOT_ASSIGN_OPTIMIZE`
`CANNOT_BLOCK_SIGNAL`
`CANNOT_CLOCK_GETTIME`
`CANNOT_CLOSE_FILE`
`CANNOT_COMPILE_CODE`
`CANNOT_COMPILE_REGEXP`
`CANNOT_COMPRESS`
`CANNOT_CONVERT_CHARSET`
`CANNOT_CONVERT_TYPE`
`CANNOT_CREATE_CHARSET_CONVERTER`
`CANNOT_CREATE_CHILD_PROCESS`
`CANNOT_CREATE_DIRECTORY`
`CANNOT_CREATE_IO_BUFFER`
`CANNOT_CREATE_TABLE_FROM_METADATA`
`CANNOT_DECOMPRESS`
`CANNOT_DLOPEN`
`CANNOT_DLSYM`
`CANNOT_FORK`
`CANNOT_FSYNC`
`CANNOT_GET_CREATE_TABLE_QUERY`
`CANNOT_GET_RETURN_TYPE`
`CANNOT_GET_SIZE_OF_FIELD`
`CANNOT_GETTIMEOFDAY`
`CANNOT_INSERT_ELEMENT_INTO_CONSTANT_COLUMN`
`CANNOT_INSERT_NULL_IN_ORDINARY_COLUMN`
`CANNOT_INSERT_VALUE_OF_DIFFERENT_SIZE_INTO_TUPLE`
`CANNOT_IOSETUP`
`CANNOT_KILL`
`CANNOT_LINK`
`CANNOT_LOAD_CATBOOST_MODEL`
`CANNOT_LOAD_CONFIG`
`CANNOT_MANIPULATE_SIGSET`
`CANNOT_MERGE_DIFFERENT_AGGREGATED_DATA_VARIANTS`
`CANNOT_MPROTECT`
`CANNOT_MREMAP`
`CANNOT_MUNMAP`
`CANNOT_OPEN_FILE`
`CANNOT_PARSE_ALL_VALUE_FROM_TAB_SEPARATED_INPUT`
`CANNOT_PARSE_DATE`
`CANNOT_PARSE_DATETIME`
`CANNOT_PARSE_DOMAIN_VALUE_FROM_STRING`
`CANNOT_PARSE_ESCAPE_SEQUENCE`
`CANNOT_PARSE_INPUT_ASSERTION_FAILED`
`CANNOT_PARSE_NUMBER`
`CANNOT_PARSE_PROTOBUF_SCHEMA`
`CANNOT_PARSE_QUOTED_STRING`
`CANNOT_PARSE_TEXT`
`CANNOT_PARSE_UUID`
`CANNOT_PIPE`
`CANNOT_PRINT_FLOAT_OR_DOUBLE_NUMBER`
`CANNOT_PRINT_INTEGER`
`CANNOT_READ_AGGREGATE_FUNCTION_FROM_TEXT`
`CANNOT_READ_ALL_DATA`
`CANNOT_READ_ALL_DATA_FROM_CHUNKED_INPUT`
`CANNOT_READ_ALL_DATA_FROM_TAB_SEPARATED_INPUT`
`CANNOT_READ_ARRAY_FROM_TEXT`
`CANNOT_READ_COMPRESSED_CHUNK`
`CANNOT_READ_FROM_FILE_DESCRIPTOR`
`CANNOT_READ_FROM_ISTREAM`
`CANNOT_READ_FROM_SOCKET`
`CANNOT_READ_HISTORY`
`CANNOT_READ_SIZE_OF_COMPRESSED_CHUNK`
`CANNOT_READLINE`
`CANNOT_SCHEDULE_TASK`
`CANNOT_SEEK_THROUGH_FILE`
`CANNOT_SELECT`
`CANNOT_SET_SIGNAL_HANDLER`
`CANNOT_STAT`
`CANNOT_STATVFS`
`CANNOT_TRUNCATE_FILE`
`CANNOT_UNBLOCK_SIGNAL`
`CANNOT_UPDATE_COLUMN`
`CANNOT_WAIT_FOR_SIGNAL`
`CANNOT_WAITPID`
`CANNOT_WRITE_AFTER_END_OF_BUFFER`
`CANNOT_WRITE_AGGREGATE_FUNCTION_AS_TEXT`
`CANNOT_WRITE_TO_EMPTY_BLOCK_OUTPUT_STREAM`
`CANNOT_WRITE_TO_FILE_DESCRIPTOR`
`CANNOT_WRITE_TO_OSTREAM`
`CANNOT_WRITE_TO_SOCKET`
`CHECKSUM_DOESNT_MATCH`
`CHILD_WAS_NOT_EXITED_NORMALLY`
`CHUNK_NOT_FOUND`
`CLIENT_HAS_CONNECTED_TO_WRONG_PORT`
`CLIENT_OUTPUT_FORMAT_SPECIFIED`
`COLLATION_COMPARISON_FAILED`
`COLUMN_QUERIED_MORE_THAN_ONCE`
`CORRUPTED_DATA`
`CPUID_ERROR`
`CURRENT_WRITE_BUFFER_IS_EXHAUSTED`
`CYCLIC_ALIASES`
`DATA_TYPE_CANNOT_BE_PROMOTED`
`DATA_TYPE_CANNOT_BE_USED_IN_TABLES`
`DATA_TYPE_CANNOT_HAVE_ARGUMENTS`
`DATABASE_ACCESS_DENIED`
`DATABASE_ALREADY_EXISTS`
`DATABASE_NOT_EMPTY`
`DDL_GUARD_IS_ACTIVE`
`DECIMAL_OVERFLOW`
`DELIMITER_IN_STRING_LITERAL_DOESNT_MATCH`
`DICTIONARIES_WAS_NOT_LOADED`
`DICTIONARY_IS_EMPTY`
`DIRECTORY_ALREADY_EXISTS`
`DIRECTORY_DOESNT_EXIST`
`DISTRIBUTED_IN_JOIN_SUBQUERY_DENIED`
`DNS_ERROR`
`DUPLICATE_CHUNK_NAME`
`DUPLICATE_COLUMN`
`DUPLICATE_DATA_PART`
`DUPLICATE_INTERSERVER_IO_ENDPOINT`
`DUPLICATE_SHARD_PATHS`
`EMPTY_DATA_PASSED`
`EMPTY_LIST_OF_COLUMNS_PASSED`
`EMPTY_LIST_OF_COLUMNS_QUERIED`
`EMPTY_NESTED_TABLE`
`EMPTY_QUERY`
`ENGINE_REQUIRED`
`EXCESSIVE_ELEMENT_IN_CONFIG`
`EXPECTED_ALL_OR_ANY`
`EXPECTED_END_OF_FILE`
`EXTERNAL_EXECUTABLE_NOT_FOUND`
`EXTERNAL_LIBRARY_ERROR`
`EXTERNAL_LOADABLE_ALREADY_EXISTS`
`EXTERNAL_SERVER_IS_NOT_RESPONDING`
`FAILED_TO_GETPWUID`
`FEATURE_IS_NOT_ENABLED_AT_BUILD_TIME`
`FILE_DOESNT_EXIST`
`FIRST_DATE_IS_BIGGER_THAN_LAST_DATE`
`FORMAT_IS_NOT_SUITABLE_FOR_INPUT`
`FORMAT_IS_NOT_SUITABLE_FOR_OUTPUT`
`FORMAT_VERSION_TOO_OLD`
`FOUND_MORE_THAN_ONE_NODE`
`FUNCTION_CANNOT_HAVE_PARAMETERS`
`FUNCTION_IS_SPECIAL`
`FUNCTION_NOT_ALLOWED`
`FUNCTION_THROW_IF_VALUE_IS_NON_ZERO`
`HTTP_LENGTH_REQUIRED`
`HYPERSCAN_CANNOT_SCAN_TEXT`
`ILLEGAL_AGGREGATION`
`ILLEGAL_CODEC_PARAMETER`
`ILLEGAL_COLUMN`
`ILLEGAL_DIVISION`
`ILLEGAL_FINAL`
`ILLEGAL_INDEX`
`ILLEGAL_KEY_OF_AGGREGATION`
`ILLEGAL_NUMBER_OF_RESULT_COLUMNS`
`ILLEGAL_OVERFLOW_MODE`
`ILLEGAL_PREWHERE`
`ILLEGAL_SYNTAX_FOR_CODEC_TYPE`
`ILLEGAL_SYNTAX_FOR_DATA_TYPE`
`ILLEGAL_TYPE_OF_ARGUMENT`
`ILLEGAL_TYPE_OF_COLUMN_FOR_FILTER`
`INCOMPATIBLE_COLUMNS`
`INCOMPATIBLE_SOURCE_TABLES`
`INCOMPATIBLE_TYPE_OF_JOIN`
`INCONSISTENT_CLUSTER_DEFINITION`
`INCONSISTENT_TABLE_ACCROSS_SHARDS`
`INCORRECT_DATA`
`INCORRECT_ELEMENT_OF_SET`
`INCORRECT_FILE_NAME`
`INCORRECT_INDEX`
`INCORRECT_MARK`
`INCORRECT_NUMBER_OF_COLUMNS`
`INCORRECT_QUERY`
`INCORRECT_RESULT_OF_SCALAR_SUBQUERY`
`INDEX_NOT_USED`
`INDEX_OF_COLUMN_IN_SORT_CLAUSE_IS_OUT_OF_RANGE`
`INDEX_OF_POSITIONAL_ARGUMENT_IS_OUT_OF_RANGE`
`INFINITE_LOOP`
`INSERT_WAS_DEDUPLICATED`
`INSUFFICIENT_SPACE_FOR_RESHARDING`
`INTO_OUTFILE_NOT_ALLOWED`
`INVALID_BLOCK_EXTRA_INFO`
`INVALID_CONFIG_PARAMETER`
`INVALID_JOIN_ON_EXPRESSION`
`INVALID_LIMIT_EXPRESSION`
`INVALID_NESTED_NAME`
`INVALID_PARTITION_NAME`
`INVALID_PARTITIONS_INTERVAL`
`INVALID_SESSION_TIMEOUT`
`INVALID_SHARD_WEIGHT`
`IP_ADDRESS_NOT_ALLOWED`
`KEEPER_EXCEPTION`
`LEADERSHIP_CHANGED`
`LEADERSHIP_LOST`
`LIMIT_EXCEEDED`
`LOGICAL_ERROR`
`MEMORY_LIMIT_EXCEEDED`
`METADATA_MISMATCH`
`MISMATCH_REPLICAS_DATA_SOURCES`
`MISMATCHING_USERS_FOR_PROCESS_AND_DATA`
`MONGODB_INIT_FAILED`
`MULTIPLE_ALIASES_FOR_EXPRESSION`
`MULTIPLE_ASSIGNMENTS_TO_COLUMN`
`MULTIPLE_EXPRESSIONS_FOR_ALIAS`
`MULTIPLE_STREAMS_REQUIRED`
`NESTED_TYPE_TOO_DEEP`
`NETLINK_ERROR`
`NETWORK_ERROR`
`NO_ACTIVE_REPLICAS`
`NO_ATTRIBUTES_LISTED`
`NO_AVAILABLE_DATA`
`NO_AVAILABLE_REPLICA`
`NO_COMMON_COLUMNS_WITH_PROTOBUF_SCHEMA`
`NO_COMMON_TYPE`
`NO_DATA_FOR_REQUIRED_PROTOBUF_FIELD`
`NO_DATA_TO_INSERT`
`NO_ELEMENTS_IN_CONFIG`
`NO_FILE_IN_DATA_PART`
`NO_FREE_CONNECTION`
`NO_REMOTE_SHARD_FOUND`
`NO_REPLICA_HAS_PART`
`NO_REPLICA_NAME_GIVEN`
`NO_SUCH_COLUMN_IN_TABLE`
`NO_SUCH_DATA_PART`
`NO_SUCH_INTERSERVER_IO_ENDPOINT`
`NO_SUCH_REPLICA`
`NO_ZOOKEEPER`
`NOT_A_COLUMN`
`NOT_AN_AGGREGATE`
`NOT_ENOUGH_BLOCK_NUMBERS`
`NOT_ENOUGH_SPACE`
`NOT_FOUND_COLUMN_IN_BLOCK`
`NOT_FOUND_EXPECTED_DATA_PART`
`NOT_FOUND_FUNCTION_ELEMENT_FOR_AGGREGATE`
`NOT_FOUND_NODE`
`NOT_FOUND_RELATION_ELEMENT_FOR_CONDITION`
`NOT_FOUND_RHS_ELEMENT_FOR_CONDITION`
`NOT_IMPLEMENTED`
`NULL_POINTER_DEREFERENCE`
`NUMBER_OF_ARGUMENTS_DOESNT_MATCH`
`NUMBER_OF_COLUMNS_DOESNT_MATCH`
`OK`
`ONLY_FILTER_COLUMN_IN_BLOCK`
`OUTPUT_IS_NOT_SORTED`
`PARAMETER_OUT_OF_BOUND`
`PARAMETERS_TO_AGGREGATE_FUNCTIONS_MUST_BE_LITERALS`
`PART_IS_TEMPORARILY_LOCKED`
`PARTITION_ALREADY_EXISTS`
`PARTITION_ATTACH_FAILED`
`PARTITION_COPY_FAILED`
`PARTITION_DOESNT_EXIST`
`PARTITION_SIZE_EXCEEDS_MAX_DROP_SIZE_LIMIT`
`POCO_EXCEPTION`
`POSITION_OUT_OF_BOUND`
`PROTOBUF_BAD_CAST`
`PROTOBUF_FIELD_NOT_REPEATED`
`PTHREAD_ERROR`
`QUERY_IS_NOT_SUPPORTED_IN_MATERIALIZED_VIEW`
`QUERY_IS_PROHIBITED`
`QUERY_IS_TOO_LARGE`
`QUERY_SECTION_DOESNT_MAKE_SENSE`
`QUERY_WAS_CANCELLED`
`QUERY_WITH_SAME_ID_IS_ALREADY_RUNNING`
`QUOTA_DOESNT_ALLOW_KEYS`
`QUOTA_EXPIRED`
`READONLY`
`RECEIVED_DATA_FOR_WRONG_QUERY_ID`
`RECEIVED_EMPTY_DATA`
`RECEIVED_ERROR_FROM_REMOTE_IO_SERVER`
`RECEIVED_ERROR_TOO_MANY_REQUESTS`
`REPLICA_IS_ALREADY_ACTIVE`
`REPLICA_IS_ALREADY_EXIST`
`REPLICA_IS_NOT_IN_QUORUM`
`REPLICA_STATUS_CHANGED`
`REQUIRED_PASSWORD`
`RESERVED_IDENTIFIER_NAME`
`RESHARDING_ALREADY_SUBSCRIBED`
`RESHARDING_BUSY_CLUSTER`
`RESHARDING_BUSY_SHARD`
`RESHARDING_COORDINATOR_DELETED`
`RESHARDING_DISTRIBUTED_JOB_ON_HOLD`
`RESHARDING_INITIATOR_CHECK_FAILED`
`RESHARDING_INVALID_PARAMETERS`
`RESHARDING_INVALID_QUERY`
`RESHARDING_NO_COORDINATOR_MEMBERSHIP`
`RESHARDING_NO_SUCH_COORDINATOR`
`RESHARDING_NO_WORKER`
`RESHARDING_REMOTE_NODE_ERROR`
`RESHARDING_REMOTE_NODE_UNAVAILABLE`
`RWLOCK_ALREADY_HELD`
`RWLOCK_NO_SUCH_LOCK`
`SAMPLING_NOT_SUPPORTED`
`SEEK_POSITION_OUT_OF_BOUND`
`SERVER_REVISION_IS_TOO_OLD`
`SESSION_IS_LOCKED`
`SESSION_NOT_FOUND`
`SET_SIZE_LIMIT_EXCEEDED`
`SETTING_CONSTRAINT_VIOLATION`
`SHARD_HAS_NO_CONNECTIONS`
`SIZE_OF_FIXED_STRING_DOESNT_MATCH`
`SIZES_OF_ARRAYS_DOESNT_MATCH`
`SIZES_OF_COLUMNS_DOESNT_MATCH`
`SIZES_OF_COLUMNS_IN_TUPLE_DOESNT_MATCH`
`SIZES_OF_MARKS_FILES_ARE_INCONSISTENT`
`SIZES_OF_NESTED_COLUMNS_ARE_INCONSISTENT`
`SOCKET_TIMEOUT`
`STD_EXCEPTION`
`STORAGE_DOESNT_ALLOW_PARAMETERS`
`STORAGE_DOESNT_SUPPORT_PARALLEL_REPLICAS`
`STORAGE_REQUIRES_PARAMETER`
`SUPPORT_IS_DISABLED`
`SYNTAX_ERROR`
`SYSTEM_ERROR`
`TABLE_ALREADY_EXISTS`
`TABLE_DIFFERS_TOO_MUCH`
`TABLE_IS_DROPPED`
`TABLE_IS_READ_ONLY`
`TABLE_METADATA_ALREADY_EXISTS`
`TABLE_METADATA_DOESNT_EXIST`
`TABLE_MUST_NOT_BE_CREATED_MANUALLY`
`TABLE_SIZE_EXCEEDS_MAX_DROP_SIZE_LIMIT`
`TABLE_WAS_NOT_DROPPED`
`THERE_IS_NO_COLUMN`
`THERE_IS_NO_DEFAULT_VALUE`
`THERE_IS_NO_PROFILE`
`THERE_IS_NO_QUERY`
`THERE_IS_NO_SESSION`
`TIMEOUT_EXCEEDED`
`TOO_BIG_AST`
`TOO_DEEP_AST`
`TOO_DEEP_PIPELINE`
`TOO_DEEP_RECURSION`
`TOO_DEEP_SUBQUERIES`
`TOO_LARGE_ARRAY_SIZE`
`TOO_LARGE_SIZE_COMPRESSED`
`TOO_LARGE_STRING_SIZE`
`TOO_LESS_ARGUMENTS_FOR_FUNCTION`
`TOO_LESS_LIVE_REPLICAS`
`TOO_MANY_FETCHES`
`TOO_MANY_ROWS_OR_BYTES`
`TOO_MANY_UNEXPECTED_DATA_PARTS`
`TOO_MUCH_ARGUMENTS_FOR_FUNCTION`
`TOO_MUCH_BYTES`
`TOO_MUCH_COLUMNS`
`TOO_MUCH_PARTS`
`TOO_MUCH_RETRIES_TO_FETCH_PARTS`
`TOO_MUCH_ROWS`
`TOO_MUCH_SIMULTANEOUS_QUERIES`
`TOO_MUCH_TEMPORARY_COLUMNS`
`TOO_MUCH_TEMPORARY_NON_CONST_COLUMNS`
`TOO_SLOW`
`TOO_SMALL_BUFFER_SIZE`
`TOP_AND_LIMIT_TOGETHER`
`TYPE_MISMATCH`
`UNEXPECTED_AST_STRUCTURE`
`UNEXPECTED_END_OF_FILE`
`UNEXPECTED_EXPRESSION`
`UNEXPECTED_FILE_IN_DATA_PART`
`UNEXPECTED_NODE_IN_ZOOKEEPER`
`UNEXPECTED_PACKET_FROM_CLIENT`
`UNEXPECTED_PACKET_FROM_SERVER`
`UNEXPECTED_ZOOKEEPER_ERROR`
`UNFINISHED`
`UNION_ALL_COLUMN_ALIAS_MISMATCH`
`UNION_ALL_RESULT_STRUCTURES_MISMATCH`
`UNKNOWN_ACTION`
`UNKNOWN_ADDRESS_PATTERN_TYPE`
`UNKNOWN_AGGREGATE_FUNCTION`
`UNKNOWN_AGGREGATED_DATA_VARIANT`
`UNKNOWN_BLOCK_INFO_FIELD`
`UNKNOWN_CODEC`
`UNKNOWN_COMPRESSION_METHOD`
`UNKNOWN_DATABASE`
`UNKNOWN_DATABASE_ENGINE`
`UNKNOWN_DIRECTION_OF_SORTING`
`UNKNOWN_DISTRIBUTED_PRODUCT_MODE`
`UNKNOWN_ELEMENT_IN_AST`
`UNKNOWN_ELEMENT_IN_CONFIG`
`UNKNOWN_EXCEPTION`
`UNKNOWN_FORMAT`
`UNKNOWN_FORMAT_VERSION`
`UNKNOWN_FUNCTION`
`UNKNOWN_GLOBAL_SUBQUERIES_METHOD`
`UNKNOWN_IDENTIFIER`
`UNKNOWN_JOIN_STRICTNESS`
`UNKNOWN_LOAD_BALANCING`
`UNKNOWN_LOG_LEVEL`
`UNKNOWN_MUTATION_COMMAND`
`UNKNOWN_OVERFLOW_MODE`
`UNKNOWN_PACKET_FROM_CLIENT`
`UNKNOWN_PACKET_FROM_SERVER`
`UNKNOWN_PROTOBUF_FORMAT`
`UNKNOWN_QUOTA`
`UNKNOWN_RELATION`
`UNKNOWN_SET_DATA_VARIANT`
`UNKNOWN_SETTING`
`UNKNOWN_STATUS_OF_DISTRIBUTED_DDL_TASK`
`UNKNOWN_STATUS_OF_INSERT`
`UNKNOWN_STORAGE`
`UNKNOWN_TABLE`
`UNKNOWN_TOTALS_MODE`
`UNKNOWN_TYPE`
`UNKNOWN_TYPE_OF_AST_NODE`
`UNKNOWN_TYPE_OF_QUERY`
`UNKNOWN_USER`
`UNSATISFIED_QUORUM_FOR_PREVIOUS_WRITE`
`UNSUPPORTED_COLLATION_LOCALE`
`UNSUPPORTED_METHOD`
`UNSUPPORTED_MYISAM_BLOCK_TYPE`
`UNSUPPORTED_PARAMETER`
`UNSUPPORTED_URI_SCHEME`
`VALUE_IS_OUT_OF_RANGE_OF_DATA_TYPE`
`WRONG_PASSWORD`
`ZERO_ARRAY_OR_TUPLE_INDEX`
`ZLIB_DEFLATE_FAILED`
`ZLIB_INFLATE_FAILED`

### Field Summary

Fields
`Integer` `code`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ClickHouseErrorCode` `fromCode​(Integer code)`
`String` `toString()`
`static ClickHouseErrorCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ClickHouseErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OK

    public static final ClickHouseErrorCode OK

#### UNSUPPORTED_METHOD

    public static final ClickHouseErrorCode UNSUPPORTED_METHOD

#### UNSUPPORTED_PARAMETER

    public static final ClickHouseErrorCode UNSUPPORTED_PARAMETER

#### UNEXPECTED_END_OF_FILE

    public static final ClickHouseErrorCode UNEXPECTED_END_OF_FILE

#### EXPECTED_END_OF_FILE

    public static final ClickHouseErrorCode EXPECTED_END_OF_FILE

#### CANNOT_PARSE_TEXT

    public static final ClickHouseErrorCode CANNOT_PARSE_TEXT

#### INCORRECT_NUMBER_OF_COLUMNS

    public static final ClickHouseErrorCode INCORRECT_NUMBER_OF_COLUMNS

#### THERE_IS_NO_COLUMN

    public static final ClickHouseErrorCode THERE_IS_NO_COLUMN

#### SIZES_OF_COLUMNS_DOESNT_MATCH

    public static final ClickHouseErrorCode SIZES_OF_COLUMNS_DOESNT_MATCH

#### NOT_FOUND_COLUMN_IN_BLOCK

    public static final ClickHouseErrorCode NOT_FOUND_COLUMN_IN_BLOCK

#### POSITION_OUT_OF_BOUND

    public static final ClickHouseErrorCode POSITION_OUT_OF_BOUND

#### PARAMETER_OUT_OF_BOUND

    public static final ClickHouseErrorCode PARAMETER_OUT_OF_BOUND

#### SIZES_OF_COLUMNS_IN_TUPLE_DOESNT_MATCH

    public static final ClickHouseErrorCode SIZES_OF_COLUMNS_IN_TUPLE_DOESNT_MATCH

#### DUPLICATE_COLUMN

    public static final ClickHouseErrorCode DUPLICATE_COLUMN

#### NO_SUCH_COLUMN_IN_TABLE

    public static final ClickHouseErrorCode NO_SUCH_COLUMN_IN_TABLE

#### DELIMITER_IN_STRING_LITERAL_DOESNT_MATCH

    public static final ClickHouseErrorCode DELIMITER_IN_STRING_LITERAL_DOESNT_MATCH

#### CANNOT_INSERT_ELEMENT_INTO_CONSTANT_COLUMN

    public static final ClickHouseErrorCode CANNOT_INSERT_ELEMENT_INTO_CONSTANT_COLUMN

#### SIZE_OF_FIXED_STRING_DOESNT_MATCH

    public static final ClickHouseErrorCode SIZE_OF_FIXED_STRING_DOESNT_MATCH

#### NUMBER_OF_COLUMNS_DOESNT_MATCH

    public static final ClickHouseErrorCode NUMBER_OF_COLUMNS_DOESNT_MATCH

#### CANNOT_READ_ALL_DATA_FROM_TAB_SEPARATED_INPUT

    public static final ClickHouseErrorCode CANNOT_READ_ALL_DATA_FROM_TAB_SEPARATED_INPUT

#### CANNOT_PARSE_ALL_VALUE_FROM_TAB_SEPARATED_INPUT

    public static final ClickHouseErrorCode CANNOT_PARSE_ALL_VALUE_FROM_TAB_SEPARATED_INPUT

#### CANNOT_READ_FROM_ISTREAM

    public static final ClickHouseErrorCode CANNOT_READ_FROM_ISTREAM

#### CANNOT_WRITE_TO_OSTREAM

    public static final ClickHouseErrorCode CANNOT_WRITE_TO_OSTREAM

#### CANNOT_PARSE_ESCAPE_SEQUENCE

    public static final ClickHouseErrorCode CANNOT_PARSE_ESCAPE_SEQUENCE

#### CANNOT_PARSE_QUOTED_STRING

    public static final ClickHouseErrorCode CANNOT_PARSE_QUOTED_STRING

#### CANNOT_PARSE_INPUT_ASSERTION_FAILED

    public static final ClickHouseErrorCode CANNOT_PARSE_INPUT_ASSERTION_FAILED

#### CANNOT_PRINT_FLOAT_OR_DOUBLE_NUMBER

    public static final ClickHouseErrorCode CANNOT_PRINT_FLOAT_OR_DOUBLE_NUMBER

#### CANNOT_PRINT_INTEGER

    public static final ClickHouseErrorCode CANNOT_PRINT_INTEGER

#### CANNOT_READ_SIZE_OF_COMPRESSED_CHUNK

    public static final ClickHouseErrorCode CANNOT_READ_SIZE_OF_COMPRESSED_CHUNK

#### CANNOT_READ_COMPRESSED_CHUNK

    public static final ClickHouseErrorCode CANNOT_READ_COMPRESSED_CHUNK

#### ATTEMPT_TO_READ_AFTER_EOF

    public static final ClickHouseErrorCode ATTEMPT_TO_READ_AFTER_EOF

#### CANNOT_READ_ALL_DATA

    public static final ClickHouseErrorCode CANNOT_READ_ALL_DATA

#### TOO_MUCH_ARGUMENTS_FOR_FUNCTION

    public static final ClickHouseErrorCode TOO_MUCH_ARGUMENTS_FOR_FUNCTION

#### TOO_LESS_ARGUMENTS_FOR_FUNCTION

    public static final ClickHouseErrorCode TOO_LESS_ARGUMENTS_FOR_FUNCTION

#### BAD_ARGUMENTS

    public static final ClickHouseErrorCode BAD_ARGUMENTS

#### UNKNOWN_ELEMENT_IN_AST

    public static final ClickHouseErrorCode UNKNOWN_ELEMENT_IN_AST

#### CANNOT_PARSE_DATE

    public static final ClickHouseErrorCode CANNOT_PARSE_DATE

#### TOO_LARGE_SIZE_COMPRESSED

    public static final ClickHouseErrorCode TOO_LARGE_SIZE_COMPRESSED

#### CHECKSUM_DOESNT_MATCH

    public static final ClickHouseErrorCode CHECKSUM_DOESNT_MATCH

#### CANNOT_PARSE_DATETIME

    public static final ClickHouseErrorCode CANNOT_PARSE_DATETIME

#### NUMBER_OF_ARGUMENTS_DOESNT_MATCH

    public static final ClickHouseErrorCode NUMBER_OF_ARGUMENTS_DOESNT_MATCH

#### ILLEGAL_TYPE_OF_ARGUMENT

    public static final ClickHouseErrorCode ILLEGAL_TYPE_OF_ARGUMENT

#### ILLEGAL_COLUMN

    public static final ClickHouseErrorCode ILLEGAL_COLUMN

#### ILLEGAL_NUMBER_OF_RESULT_COLUMNS

    public static final ClickHouseErrorCode ILLEGAL_NUMBER_OF_RESULT_COLUMNS

#### UNKNOWN_FUNCTION

    public static final ClickHouseErrorCode UNKNOWN_FUNCTION

#### UNKNOWN_IDENTIFIER

    public static final ClickHouseErrorCode UNKNOWN_IDENTIFIER

#### NOT_IMPLEMENTED

    public static final ClickHouseErrorCode NOT_IMPLEMENTED

#### LOGICAL_ERROR

    public static final ClickHouseErrorCode LOGICAL_ERROR

#### UNKNOWN_TYPE

    public static final ClickHouseErrorCode UNKNOWN_TYPE

#### EMPTY_LIST_OF_COLUMNS_QUERIED

    public static final ClickHouseErrorCode EMPTY_LIST_OF_COLUMNS_QUERIED

#### COLUMN_QUERIED_MORE_THAN_ONCE

    public static final ClickHouseErrorCode COLUMN_QUERIED_MORE_THAN_ONCE

#### TYPE_MISMATCH

    public static final ClickHouseErrorCode TYPE_MISMATCH

#### STORAGE_DOESNT_ALLOW_PARAMETERS

    public static final ClickHouseErrorCode STORAGE_DOESNT_ALLOW_PARAMETERS

#### STORAGE_REQUIRES_PARAMETER

    public static final ClickHouseErrorCode STORAGE_REQUIRES_PARAMETER

#### UNKNOWN_STORAGE

    public static final ClickHouseErrorCode UNKNOWN_STORAGE

#### TABLE_ALREADY_EXISTS

    public static final ClickHouseErrorCode TABLE_ALREADY_EXISTS

#### TABLE_METADATA_ALREADY_EXISTS

    public static final ClickHouseErrorCode TABLE_METADATA_ALREADY_EXISTS

#### ILLEGAL_TYPE_OF_COLUMN_FOR_FILTER

    public static final ClickHouseErrorCode ILLEGAL_TYPE_OF_COLUMN_FOR_FILTER

#### UNKNOWN_TABLE

    public static final ClickHouseErrorCode UNKNOWN_TABLE

#### ONLY_FILTER_COLUMN_IN_BLOCK

    public static final ClickHouseErrorCode ONLY_FILTER_COLUMN_IN_BLOCK

#### SYNTAX_ERROR

    public static final ClickHouseErrorCode SYNTAX_ERROR

#### UNKNOWN_AGGREGATE_FUNCTION

    public static final ClickHouseErrorCode UNKNOWN_AGGREGATE_FUNCTION

#### CANNOT_READ_AGGREGATE_FUNCTION_FROM_TEXT

    public static final ClickHouseErrorCode CANNOT_READ_AGGREGATE_FUNCTION_FROM_TEXT

#### CANNOT_WRITE_AGGREGATE_FUNCTION_AS_TEXT

    public static final ClickHouseErrorCode CANNOT_WRITE_AGGREGATE_FUNCTION_AS_TEXT

#### NOT_A_COLUMN

    public static final ClickHouseErrorCode NOT_A_COLUMN

#### ILLEGAL_KEY_OF_AGGREGATION

    public static final ClickHouseErrorCode ILLEGAL_KEY_OF_AGGREGATION

#### CANNOT_GET_SIZE_OF_FIELD

    public static final ClickHouseErrorCode CANNOT_GET_SIZE_OF_FIELD

#### ARGUMENT_OUT_OF_BOUND

    public static final ClickHouseErrorCode ARGUMENT_OUT_OF_BOUND

#### CANNOT_CONVERT_TYPE

    public static final ClickHouseErrorCode CANNOT_CONVERT_TYPE

#### CANNOT_WRITE_AFTER_END_OF_BUFFER

    public static final ClickHouseErrorCode CANNOT_WRITE_AFTER_END_OF_BUFFER

#### CANNOT_PARSE_NUMBER

    public static final ClickHouseErrorCode CANNOT_PARSE_NUMBER

#### UNKNOWN_FORMAT

    public static final ClickHouseErrorCode UNKNOWN_FORMAT

#### CANNOT_READ_FROM_FILE_DESCRIPTOR

    public static final ClickHouseErrorCode CANNOT_READ_FROM_FILE_DESCRIPTOR

#### CANNOT_WRITE_TO_FILE_DESCRIPTOR

    public static final ClickHouseErrorCode CANNOT_WRITE_TO_FILE_DESCRIPTOR

#### CANNOT_OPEN_FILE

    public static final ClickHouseErrorCode CANNOT_OPEN_FILE

#### CANNOT_CLOSE_FILE

    public static final ClickHouseErrorCode CANNOT_CLOSE_FILE

#### UNKNOWN_TYPE_OF_QUERY

    public static final ClickHouseErrorCode UNKNOWN_TYPE_OF_QUERY

#### INCORRECT_FILE_NAME

    public static final ClickHouseErrorCode INCORRECT_FILE_NAME

#### INCORRECT_QUERY

    public static final ClickHouseErrorCode INCORRECT_QUERY

#### UNKNOWN_DATABASE

    public static final ClickHouseErrorCode UNKNOWN_DATABASE

#### DATABASE_ALREADY_EXISTS

    public static final ClickHouseErrorCode DATABASE_ALREADY_EXISTS

#### DIRECTORY_DOESNT_EXIST

    public static final ClickHouseErrorCode DIRECTORY_DOESNT_EXIST

#### DIRECTORY_ALREADY_EXISTS

    public static final ClickHouseErrorCode DIRECTORY_ALREADY_EXISTS

#### FORMAT_IS_NOT_SUITABLE_FOR_INPUT

    public static final ClickHouseErrorCode FORMAT_IS_NOT_SUITABLE_FOR_INPUT

#### RECEIVED_ERROR_FROM_REMOTE_IO_SERVER

    public static final ClickHouseErrorCode RECEIVED_ERROR_FROM_REMOTE_IO_SERVER

#### CANNOT_SEEK_THROUGH_FILE

    public static final ClickHouseErrorCode CANNOT_SEEK_THROUGH_FILE

#### CANNOT_TRUNCATE_FILE

    public static final ClickHouseErrorCode CANNOT_TRUNCATE_FILE

#### UNKNOWN_COMPRESSION_METHOD

    public static final ClickHouseErrorCode UNKNOWN_COMPRESSION_METHOD

#### EMPTY_LIST_OF_COLUMNS_PASSED

    public static final ClickHouseErrorCode EMPTY_LIST_OF_COLUMNS_PASSED

#### SIZES_OF_MARKS_FILES_ARE_INCONSISTENT

    public static final ClickHouseErrorCode SIZES_OF_MARKS_FILES_ARE_INCONSISTENT

#### EMPTY_DATA_PASSED

    public static final ClickHouseErrorCode EMPTY_DATA_PASSED

#### UNKNOWN_AGGREGATED_DATA_VARIANT

    public static final ClickHouseErrorCode UNKNOWN_AGGREGATED_DATA_VARIANT

#### CANNOT_MERGE_DIFFERENT_AGGREGATED_DATA_VARIANTS

    public static final ClickHouseErrorCode CANNOT_MERGE_DIFFERENT_AGGREGATED_DATA_VARIANTS

#### CANNOT_READ_FROM_SOCKET

    public static final ClickHouseErrorCode CANNOT_READ_FROM_SOCKET

#### CANNOT_WRITE_TO_SOCKET

    public static final ClickHouseErrorCode CANNOT_WRITE_TO_SOCKET

#### CANNOT_READ_ALL_DATA_FROM_CHUNKED_INPUT

    public static final ClickHouseErrorCode CANNOT_READ_ALL_DATA_FROM_CHUNKED_INPUT

#### CANNOT_WRITE_TO_EMPTY_BLOCK_OUTPUT_STREAM

    public static final ClickHouseErrorCode CANNOT_WRITE_TO_EMPTY_BLOCK_OUTPUT_STREAM

#### UNKNOWN_PACKET_FROM_CLIENT

    public static final ClickHouseErrorCode UNKNOWN_PACKET_FROM_CLIENT

#### UNKNOWN_PACKET_FROM_SERVER

    public static final ClickHouseErrorCode UNKNOWN_PACKET_FROM_SERVER

#### UNEXPECTED_PACKET_FROM_CLIENT

    public static final ClickHouseErrorCode UNEXPECTED_PACKET_FROM_CLIENT

#### UNEXPECTED_PACKET_FROM_SERVER

    public static final ClickHouseErrorCode UNEXPECTED_PACKET_FROM_SERVER

#### RECEIVED_DATA_FOR_WRONG_QUERY_ID

    public static final ClickHouseErrorCode RECEIVED_DATA_FOR_WRONG_QUERY_ID

#### TOO_SMALL_BUFFER_SIZE

    public static final ClickHouseErrorCode TOO_SMALL_BUFFER_SIZE

#### CANNOT_READ_HISTORY

    public static final ClickHouseErrorCode CANNOT_READ_HISTORY

#### CANNOT_APPEND_HISTORY

    public static final ClickHouseErrorCode CANNOT_APPEND_HISTORY

#### FILE_DOESNT_EXIST

    public static final ClickHouseErrorCode FILE_DOESNT_EXIST

#### NO_DATA_TO_INSERT

    public static final ClickHouseErrorCode NO_DATA_TO_INSERT

#### CANNOT_BLOCK_SIGNAL

    public static final ClickHouseErrorCode CANNOT_BLOCK_SIGNAL

#### CANNOT_UNBLOCK_SIGNAL

    public static final ClickHouseErrorCode CANNOT_UNBLOCK_SIGNAL

#### CANNOT_MANIPULATE_SIGSET

    public static final ClickHouseErrorCode CANNOT_MANIPULATE_SIGSET

#### CANNOT_WAIT_FOR_SIGNAL

    public static final ClickHouseErrorCode CANNOT_WAIT_FOR_SIGNAL

#### THERE_IS_NO_SESSION

    public static final ClickHouseErrorCode THERE_IS_NO_SESSION

#### CANNOT_CLOCK_GETTIME

    public static final ClickHouseErrorCode CANNOT_CLOCK_GETTIME

#### UNKNOWN_SETTING

    public static final ClickHouseErrorCode UNKNOWN_SETTING

#### THERE_IS_NO_DEFAULT_VALUE

    public static final ClickHouseErrorCode THERE_IS_NO_DEFAULT_VALUE

#### INCORRECT_DATA

    public static final ClickHouseErrorCode INCORRECT_DATA

#### TABLE_METADATA_DOESNT_EXIST

    public static final ClickHouseErrorCode TABLE_METADATA_DOESNT_EXIST

#### ENGINE_REQUIRED

    public static final ClickHouseErrorCode ENGINE_REQUIRED

#### CANNOT_INSERT_VALUE_OF_DIFFERENT_SIZE_INTO_TUPLE

    public static final ClickHouseErrorCode CANNOT_INSERT_VALUE_OF_DIFFERENT_SIZE_INTO_TUPLE

#### UNKNOWN_SET_DATA_VARIANT

    public static final ClickHouseErrorCode UNKNOWN_SET_DATA_VARIANT

#### INCOMPATIBLE_COLUMNS

    public static final ClickHouseErrorCode INCOMPATIBLE_COLUMNS

#### UNKNOWN_TYPE_OF_AST_NODE

    public static final ClickHouseErrorCode UNKNOWN_TYPE_OF_AST_NODE

#### INCORRECT_ELEMENT_OF_SET

    public static final ClickHouseErrorCode INCORRECT_ELEMENT_OF_SET

#### INCORRECT_RESULT_OF_SCALAR_SUBQUERY

    public static final ClickHouseErrorCode INCORRECT_RESULT_OF_SCALAR_SUBQUERY

#### CANNOT_GET_RETURN_TYPE

    public static final ClickHouseErrorCode CANNOT_GET_RETURN_TYPE

#### ILLEGAL_INDEX

    public static final ClickHouseErrorCode ILLEGAL_INDEX

#### TOO_LARGE_ARRAY_SIZE

    public static final ClickHouseErrorCode TOO_LARGE_ARRAY_SIZE

#### FUNCTION_IS_SPECIAL

    public static final ClickHouseErrorCode FUNCTION_IS_SPECIAL

#### CANNOT_READ_ARRAY_FROM_TEXT

    public static final ClickHouseErrorCode CANNOT_READ_ARRAY_FROM_TEXT

#### TOO_LARGE_STRING_SIZE

    public static final ClickHouseErrorCode TOO_LARGE_STRING_SIZE

#### CANNOT_CREATE_TABLE_FROM_METADATA

    public static final ClickHouseErrorCode CANNOT_CREATE_TABLE_FROM_METADATA

#### AGGREGATE_FUNCTION_DOESNT_ALLOW_PARAMETERS

    public static final ClickHouseErrorCode AGGREGATE_FUNCTION_DOESNT_ALLOW_PARAMETERS

#### PARAMETERS_TO_AGGREGATE_FUNCTIONS_MUST_BE_LITERALS

    public static final ClickHouseErrorCode PARAMETERS_TO_AGGREGATE_FUNCTIONS_MUST_BE_LITERALS

#### ZERO_ARRAY_OR_TUPLE_INDEX

    public static final ClickHouseErrorCode ZERO_ARRAY_OR_TUPLE_INDEX

#### UNKNOWN_ELEMENT_IN_CONFIG

    public static final ClickHouseErrorCode UNKNOWN_ELEMENT_IN_CONFIG

#### EXCESSIVE_ELEMENT_IN_CONFIG

    public static final ClickHouseErrorCode EXCESSIVE_ELEMENT_IN_CONFIG

#### NO_ELEMENTS_IN_CONFIG

    public static final ClickHouseErrorCode NO_ELEMENTS_IN_CONFIG

#### ALL_REQUESTED_COLUMNS_ARE_MISSING

    public static final ClickHouseErrorCode ALL_REQUESTED_COLUMNS_ARE_MISSING

#### SAMPLING_NOT_SUPPORTED

    public static final ClickHouseErrorCode SAMPLING_NOT_SUPPORTED

#### NOT_FOUND_NODE

    public static final ClickHouseErrorCode NOT_FOUND_NODE

#### FOUND_MORE_THAN_ONE_NODE

    public static final ClickHouseErrorCode FOUND_MORE_THAN_ONE_NODE

#### FIRST_DATE_IS_BIGGER_THAN_LAST_DATE

    public static final ClickHouseErrorCode FIRST_DATE_IS_BIGGER_THAN_LAST_DATE

#### UNKNOWN_OVERFLOW_MODE

    public static final ClickHouseErrorCode UNKNOWN_OVERFLOW_MODE

#### QUERY_SECTION_DOESNT_MAKE_SENSE

    public static final ClickHouseErrorCode QUERY_SECTION_DOESNT_MAKE_SENSE

#### NOT_FOUND_FUNCTION_ELEMENT_FOR_AGGREGATE

    public static final ClickHouseErrorCode NOT_FOUND_FUNCTION_ELEMENT_FOR_AGGREGATE

#### NOT_FOUND_RELATION_ELEMENT_FOR_CONDITION

    public static final ClickHouseErrorCode NOT_FOUND_RELATION_ELEMENT_FOR_CONDITION

#### NOT_FOUND_RHS_ELEMENT_FOR_CONDITION

    public static final ClickHouseErrorCode NOT_FOUND_RHS_ELEMENT_FOR_CONDITION

#### NO_ATTRIBUTES_LISTED

    public static final ClickHouseErrorCode NO_ATTRIBUTES_LISTED

#### INDEX_OF_COLUMN_IN_SORT_CLAUSE_IS_OUT_OF_RANGE

    public static final ClickHouseErrorCode INDEX_OF_COLUMN_IN_SORT_CLAUSE_IS_OUT_OF_RANGE

#### UNKNOWN_DIRECTION_OF_SORTING

    public static final ClickHouseErrorCode UNKNOWN_DIRECTION_OF_SORTING

#### ILLEGAL_DIVISION

    public static final ClickHouseErrorCode ILLEGAL_DIVISION

#### AGGREGATE_FUNCTION_NOT_APPLICABLE

    public static final ClickHouseErrorCode AGGREGATE_FUNCTION_NOT_APPLICABLE

#### UNKNOWN_RELATION

    public static final ClickHouseErrorCode UNKNOWN_RELATION

#### DICTIONARIES_WAS_NOT_LOADED

    public static final ClickHouseErrorCode DICTIONARIES_WAS_NOT_LOADED

#### ILLEGAL_OVERFLOW_MODE

    public static final ClickHouseErrorCode ILLEGAL_OVERFLOW_MODE

#### TOO_MUCH_ROWS

    public static final ClickHouseErrorCode TOO_MUCH_ROWS

#### TIMEOUT_EXCEEDED

    public static final ClickHouseErrorCode TIMEOUT_EXCEEDED

#### TOO_SLOW

    public static final ClickHouseErrorCode TOO_SLOW

#### TOO_MUCH_COLUMNS

    public static final ClickHouseErrorCode TOO_MUCH_COLUMNS

#### TOO_DEEP_SUBQUERIES

    public static final ClickHouseErrorCode TOO_DEEP_SUBQUERIES

#### TOO_DEEP_PIPELINE

    public static final ClickHouseErrorCode TOO_DEEP_PIPELINE

#### READONLY

    public static final ClickHouseErrorCode READONLY

#### TOO_MUCH_TEMPORARY_COLUMNS

    public static final ClickHouseErrorCode TOO_MUCH_TEMPORARY_COLUMNS

#### TOO_MUCH_TEMPORARY_NON_CONST_COLUMNS

    public static final ClickHouseErrorCode TOO_MUCH_TEMPORARY_NON_CONST_COLUMNS

#### TOO_DEEP_AST

    public static final ClickHouseErrorCode TOO_DEEP_AST

#### TOO_BIG_AST

    public static final ClickHouseErrorCode TOO_BIG_AST

#### BAD_TYPE_OF_FIELD

    public static final ClickHouseErrorCode BAD_TYPE_OF_FIELD

#### BAD_GET

    public static final ClickHouseErrorCode BAD_GET

#### BLOCKS_HAS_DIFFERENT_STRUCTURE

    public static final ClickHouseErrorCode BLOCKS_HAS_DIFFERENT_STRUCTURE

#### CANNOT_CREATE_DIRECTORY

    public static final ClickHouseErrorCode CANNOT_CREATE_DIRECTORY

#### CANNOT_ALLOCATE_MEMORY

    public static final ClickHouseErrorCode CANNOT_ALLOCATE_MEMORY

#### CYCLIC_ALIASES

    public static final ClickHouseErrorCode CYCLIC_ALIASES

#### CHUNK_NOT_FOUND

    public static final ClickHouseErrorCode CHUNK_NOT_FOUND

#### DUPLICATE_CHUNK_NAME

    public static final ClickHouseErrorCode DUPLICATE_CHUNK_NAME

#### MULTIPLE_ALIASES_FOR_EXPRESSION

    public static final ClickHouseErrorCode MULTIPLE_ALIASES_FOR_EXPRESSION

#### MULTIPLE_EXPRESSIONS_FOR_ALIAS

    public static final ClickHouseErrorCode MULTIPLE_EXPRESSIONS_FOR_ALIAS

#### THERE_IS_NO_PROFILE

    public static final ClickHouseErrorCode THERE_IS_NO_PROFILE

#### ILLEGAL_FINAL

    public static final ClickHouseErrorCode ILLEGAL_FINAL

#### ILLEGAL_PREWHERE

    public static final ClickHouseErrorCode ILLEGAL_PREWHERE

#### UNEXPECTED_EXPRESSION

    public static final ClickHouseErrorCode UNEXPECTED_EXPRESSION

#### ILLEGAL_AGGREGATION

    public static final ClickHouseErrorCode ILLEGAL_AGGREGATION

#### UNSUPPORTED_MYISAM_BLOCK_TYPE

    public static final ClickHouseErrorCode UNSUPPORTED_MYISAM_BLOCK_TYPE

#### UNSUPPORTED_COLLATION_LOCALE

    public static final ClickHouseErrorCode UNSUPPORTED_COLLATION_LOCALE

#### COLLATION_COMPARISON_FAILED

    public static final ClickHouseErrorCode COLLATION_COMPARISON_FAILED

#### UNKNOWN_ACTION

    public static final ClickHouseErrorCode UNKNOWN_ACTION

#### TABLE_MUST_NOT_BE_CREATED_MANUALLY

    public static final ClickHouseErrorCode TABLE_MUST_NOT_BE_CREATED_MANUALLY

#### SIZES_OF_ARRAYS_DOESNT_MATCH

    public static final ClickHouseErrorCode SIZES_OF_ARRAYS_DOESNT_MATCH

#### SET_SIZE_LIMIT_EXCEEDED

    public static final ClickHouseErrorCode SET_SIZE_LIMIT_EXCEEDED

#### UNKNOWN_USER

    public static final ClickHouseErrorCode UNKNOWN_USER

#### WRONG_PASSWORD

    public static final ClickHouseErrorCode WRONG_PASSWORD

#### REQUIRED_PASSWORD

    public static final ClickHouseErrorCode REQUIRED_PASSWORD

#### IP_ADDRESS_NOT_ALLOWED

    public static final ClickHouseErrorCode IP_ADDRESS_NOT_ALLOWED

#### UNKNOWN_ADDRESS_PATTERN_TYPE

    public static final ClickHouseErrorCode UNKNOWN_ADDRESS_PATTERN_TYPE

#### SERVER_REVISION_IS_TOO_OLD

    public static final ClickHouseErrorCode SERVER_REVISION_IS_TOO_OLD

#### DNS_ERROR

    public static final ClickHouseErrorCode DNS_ERROR

#### UNKNOWN_QUOTA

    public static final ClickHouseErrorCode UNKNOWN_QUOTA

#### QUOTA_DOESNT_ALLOW_KEYS

    public static final ClickHouseErrorCode QUOTA_DOESNT_ALLOW_KEYS

#### QUOTA_EXPIRED

    public static final ClickHouseErrorCode QUOTA_EXPIRED

#### TOO_MUCH_SIMULTANEOUS_QUERIES

    public static final ClickHouseErrorCode TOO_MUCH_SIMULTANEOUS_QUERIES

#### NO_FREE_CONNECTION

    public static final ClickHouseErrorCode NO_FREE_CONNECTION

#### CANNOT_FSYNC

    public static final ClickHouseErrorCode CANNOT_FSYNC

#### NESTED_TYPE_TOO_DEEP

    public static final ClickHouseErrorCode NESTED_TYPE_TOO_DEEP

#### ALIAS_REQUIRED

    public static final ClickHouseErrorCode ALIAS_REQUIRED

#### AMBIGUOUS_IDENTIFIER

    public static final ClickHouseErrorCode AMBIGUOUS_IDENTIFIER

#### EMPTY_NESTED_TABLE

    public static final ClickHouseErrorCode EMPTY_NESTED_TABLE

#### SOCKET_TIMEOUT

    public static final ClickHouseErrorCode SOCKET_TIMEOUT

#### NETWORK_ERROR

    public static final ClickHouseErrorCode NETWORK_ERROR

#### EMPTY_QUERY

    public static final ClickHouseErrorCode EMPTY_QUERY

#### UNKNOWN_LOAD_BALANCING

    public static final ClickHouseErrorCode UNKNOWN_LOAD_BALANCING

#### UNKNOWN_TOTALS_MODE

    public static final ClickHouseErrorCode UNKNOWN_TOTALS_MODE

#### CANNOT_STATVFS

    public static final ClickHouseErrorCode CANNOT_STATVFS

#### NOT_AN_AGGREGATE

    public static final ClickHouseErrorCode NOT_AN_AGGREGATE

#### QUERY_WITH_SAME_ID_IS_ALREADY_RUNNING

    public static final ClickHouseErrorCode QUERY_WITH_SAME_ID_IS_ALREADY_RUNNING

#### CLIENT_HAS_CONNECTED_TO_WRONG_PORT

    public static final ClickHouseErrorCode CLIENT_HAS_CONNECTED_TO_WRONG_PORT

#### TABLE_IS_DROPPED

    public static final ClickHouseErrorCode TABLE_IS_DROPPED

#### DATABASE_NOT_EMPTY

    public static final ClickHouseErrorCode DATABASE_NOT_EMPTY

#### DUPLICATE_INTERSERVER_IO_ENDPOINT

    public static final ClickHouseErrorCode DUPLICATE_INTERSERVER_IO_ENDPOINT

#### NO_SUCH_INTERSERVER_IO_ENDPOINT

    public static final ClickHouseErrorCode NO_SUCH_INTERSERVER_IO_ENDPOINT

#### ADDING_REPLICA_TO_NON_EMPTY_TABLE

    public static final ClickHouseErrorCode ADDING_REPLICA_TO_NON_EMPTY_TABLE

#### UNEXPECTED_AST_STRUCTURE

    public static final ClickHouseErrorCode UNEXPECTED_AST_STRUCTURE

#### REPLICA_IS_ALREADY_ACTIVE

    public static final ClickHouseErrorCode REPLICA_IS_ALREADY_ACTIVE

#### NO_ZOOKEEPER

    public static final ClickHouseErrorCode NO_ZOOKEEPER

#### NO_FILE_IN_DATA_PART

    public static final ClickHouseErrorCode NO_FILE_IN_DATA_PART

#### UNEXPECTED_FILE_IN_DATA_PART

    public static final ClickHouseErrorCode UNEXPECTED_FILE_IN_DATA_PART

#### BAD_SIZE_OF_FILE_IN_DATA_PART

    public static final ClickHouseErrorCode BAD_SIZE_OF_FILE_IN_DATA_PART

#### QUERY_IS_TOO_LARGE

    public static final ClickHouseErrorCode QUERY_IS_TOO_LARGE

#### NOT_FOUND_EXPECTED_DATA_PART

    public static final ClickHouseErrorCode NOT_FOUND_EXPECTED_DATA_PART

#### TOO_MANY_UNEXPECTED_DATA_PARTS

    public static final ClickHouseErrorCode TOO_MANY_UNEXPECTED_DATA_PARTS

#### NO_SUCH_DATA_PART

    public static final ClickHouseErrorCode NO_SUCH_DATA_PART

#### BAD_DATA_PART_NAME

    public static final ClickHouseErrorCode BAD_DATA_PART_NAME

#### NO_REPLICA_HAS_PART

    public static final ClickHouseErrorCode NO_REPLICA_HAS_PART

#### DUPLICATE_DATA_PART

    public static final ClickHouseErrorCode DUPLICATE_DATA_PART

#### ABORTED

    public static final ClickHouseErrorCode ABORTED

#### NO_REPLICA_NAME_GIVEN

    public static final ClickHouseErrorCode NO_REPLICA_NAME_GIVEN

#### FORMAT_VERSION_TOO_OLD

    public static final ClickHouseErrorCode FORMAT_VERSION_TOO_OLD

#### CANNOT_MUNMAP

    public static final ClickHouseErrorCode CANNOT_MUNMAP

#### CANNOT_MREMAP

    public static final ClickHouseErrorCode CANNOT_MREMAP

#### MEMORY_LIMIT_EXCEEDED

    public static final ClickHouseErrorCode MEMORY_LIMIT_EXCEEDED

#### TABLE_IS_READ_ONLY

    public static final ClickHouseErrorCode TABLE_IS_READ_ONLY

#### NOT_ENOUGH_SPACE

    public static final ClickHouseErrorCode NOT_ENOUGH_SPACE

#### UNEXPECTED_ZOOKEEPER_ERROR

    public static final ClickHouseErrorCode UNEXPECTED_ZOOKEEPER_ERROR

#### INVALID_NESTED_NAME

    public static final ClickHouseErrorCode INVALID_NESTED_NAME

#### CORRUPTED_DATA

    public static final ClickHouseErrorCode CORRUPTED_DATA

#### INCORRECT_MARK

    public static final ClickHouseErrorCode INCORRECT_MARK

#### INVALID_PARTITION_NAME

    public static final ClickHouseErrorCode INVALID_PARTITION_NAME

#### NOT_ENOUGH_BLOCK_NUMBERS

    public static final ClickHouseErrorCode NOT_ENOUGH_BLOCK_NUMBERS

#### NO_SUCH_REPLICA

    public static final ClickHouseErrorCode NO_SUCH_REPLICA

#### TOO_MUCH_PARTS

    public static final ClickHouseErrorCode TOO_MUCH_PARTS

#### REPLICA_IS_ALREADY_EXIST

    public static final ClickHouseErrorCode REPLICA_IS_ALREADY_EXIST

#### NO_ACTIVE_REPLICAS

    public static final ClickHouseErrorCode NO_ACTIVE_REPLICAS

#### TOO_MUCH_RETRIES_TO_FETCH_PARTS

    public static final ClickHouseErrorCode TOO_MUCH_RETRIES_TO_FETCH_PARTS

#### PARTITION_ALREADY_EXISTS

    public static final ClickHouseErrorCode PARTITION_ALREADY_EXISTS

#### PARTITION_DOESNT_EXIST

    public static final ClickHouseErrorCode PARTITION_DOESNT_EXIST

#### UNION_ALL_RESULT_STRUCTURES_MISMATCH

    public static final ClickHouseErrorCode UNION_ALL_RESULT_STRUCTURES_MISMATCH

#### UNION_ALL_COLUMN_ALIAS_MISMATCH

    public static final ClickHouseErrorCode UNION_ALL_COLUMN_ALIAS_MISMATCH

#### CLIENT_OUTPUT_FORMAT_SPECIFIED

    public static final ClickHouseErrorCode CLIENT_OUTPUT_FORMAT_SPECIFIED

#### UNKNOWN_BLOCK_INFO_FIELD

    public static final ClickHouseErrorCode UNKNOWN_BLOCK_INFO_FIELD

#### BAD_COLLATION

    public static final ClickHouseErrorCode BAD_COLLATION

#### CANNOT_COMPILE_CODE

    public static final ClickHouseErrorCode CANNOT_COMPILE_CODE

#### INCOMPATIBLE_TYPE_OF_JOIN

    public static final ClickHouseErrorCode INCOMPATIBLE_TYPE_OF_JOIN

#### NO_AVAILABLE_REPLICA

    public static final ClickHouseErrorCode NO_AVAILABLE_REPLICA

#### MISMATCH_REPLICAS_DATA_SOURCES

    public static final ClickHouseErrorCode MISMATCH_REPLICAS_DATA_SOURCES

#### STORAGE_DOESNT_SUPPORT_PARALLEL_REPLICAS

    public static final ClickHouseErrorCode STORAGE_DOESNT_SUPPORT_PARALLEL_REPLICAS

#### CPUID_ERROR

    public static final ClickHouseErrorCode CPUID_ERROR

#### INFINITE_LOOP

    public static final ClickHouseErrorCode INFINITE_LOOP

#### CANNOT_COMPRESS

    public static final ClickHouseErrorCode CANNOT_COMPRESS

#### CANNOT_DECOMPRESS

    public static final ClickHouseErrorCode CANNOT_DECOMPRESS

#### AIO_SUBMIT_ERROR

    public static final ClickHouseErrorCode AIO_SUBMIT_ERROR

#### AIO_COMPLETION_ERROR

    public static final ClickHouseErrorCode AIO_COMPLETION_ERROR

#### AIO_READ_ERROR

    public static final ClickHouseErrorCode AIO_READ_ERROR

#### AIO_WRITE_ERROR

    public static final ClickHouseErrorCode AIO_WRITE_ERROR

#### INDEX_NOT_USED

    public static final ClickHouseErrorCode INDEX_NOT_USED

#### LEADERSHIP_LOST

    public static final ClickHouseErrorCode LEADERSHIP_LOST

#### ALL_CONNECTION_TRIES_FAILED

    public static final ClickHouseErrorCode ALL_CONNECTION_TRIES_FAILED

#### NO_AVAILABLE_DATA

    public static final ClickHouseErrorCode NO_AVAILABLE_DATA

#### DICTIONARY_IS_EMPTY

    public static final ClickHouseErrorCode DICTIONARY_IS_EMPTY

#### INCORRECT_INDEX

    public static final ClickHouseErrorCode INCORRECT_INDEX

#### UNKNOWN_DISTRIBUTED_PRODUCT_MODE

    public static final ClickHouseErrorCode UNKNOWN_DISTRIBUTED_PRODUCT_MODE

#### UNKNOWN_GLOBAL_SUBQUERIES_METHOD

    public static final ClickHouseErrorCode UNKNOWN_GLOBAL_SUBQUERIES_METHOD

#### TOO_LESS_LIVE_REPLICAS

    public static final ClickHouseErrorCode TOO_LESS_LIVE_REPLICAS

#### UNSATISFIED_QUORUM_FOR_PREVIOUS_WRITE

    public static final ClickHouseErrorCode UNSATISFIED_QUORUM_FOR_PREVIOUS_WRITE

#### UNKNOWN_FORMAT_VERSION

    public static final ClickHouseErrorCode UNKNOWN_FORMAT_VERSION

#### DISTRIBUTED_IN_JOIN_SUBQUERY_DENIED

    public static final ClickHouseErrorCode DISTRIBUTED_IN_JOIN_SUBQUERY_DENIED

#### REPLICA_IS_NOT_IN_QUORUM

    public static final ClickHouseErrorCode REPLICA_IS_NOT_IN_QUORUM

#### LIMIT_EXCEEDED

    public static final ClickHouseErrorCode LIMIT_EXCEEDED

#### DATABASE_ACCESS_DENIED

    public static final ClickHouseErrorCode DATABASE_ACCESS_DENIED

#### LEADERSHIP_CHANGED

    public static final ClickHouseErrorCode LEADERSHIP_CHANGED

#### MONGODB_INIT_FAILED

    public static final ClickHouseErrorCode MONGODB_INIT_FAILED

#### INVALID_BLOCK_EXTRA_INFO

    public static final ClickHouseErrorCode INVALID_BLOCK_EXTRA_INFO

#### RECEIVED_EMPTY_DATA

    public static final ClickHouseErrorCode RECEIVED_EMPTY_DATA

#### NO_REMOTE_SHARD_FOUND

    public static final ClickHouseErrorCode NO_REMOTE_SHARD_FOUND

#### SHARD_HAS_NO_CONNECTIONS

    public static final ClickHouseErrorCode SHARD_HAS_NO_CONNECTIONS

#### CANNOT_PIPE

    public static final ClickHouseErrorCode CANNOT_PIPE

#### CANNOT_FORK

    public static final ClickHouseErrorCode CANNOT_FORK

#### CANNOT_DLSYM

    public static final ClickHouseErrorCode CANNOT_DLSYM

#### CANNOT_CREATE_CHILD_PROCESS

    public static final ClickHouseErrorCode CANNOT_CREATE_CHILD_PROCESS

#### CHILD_WAS_NOT_EXITED_NORMALLY

    public static final ClickHouseErrorCode CHILD_WAS_NOT_EXITED_NORMALLY

#### CANNOT_SELECT

    public static final ClickHouseErrorCode CANNOT_SELECT

#### CANNOT_WAITPID

    public static final ClickHouseErrorCode CANNOT_WAITPID

#### TABLE_WAS_NOT_DROPPED

    public static final ClickHouseErrorCode TABLE_WAS_NOT_DROPPED

#### TOO_DEEP_RECURSION

    public static final ClickHouseErrorCode TOO_DEEP_RECURSION

#### TOO_MUCH_BYTES

    public static final ClickHouseErrorCode TOO_MUCH_BYTES

#### UNEXPECTED_NODE_IN_ZOOKEEPER

    public static final ClickHouseErrorCode UNEXPECTED_NODE_IN_ZOOKEEPER

#### FUNCTION_CANNOT_HAVE_PARAMETERS

    public static final ClickHouseErrorCode FUNCTION_CANNOT_HAVE_PARAMETERS

#### INCONSISTENT_TABLE_ACCROSS_SHARDS

    public static final ClickHouseErrorCode INCONSISTENT_TABLE_ACCROSS_SHARDS

#### INSUFFICIENT_SPACE_FOR_RESHARDING

    public static final ClickHouseErrorCode INSUFFICIENT_SPACE_FOR_RESHARDING

#### PARTITION_COPY_FAILED

    public static final ClickHouseErrorCode PARTITION_COPY_FAILED

#### PARTITION_ATTACH_FAILED

    public static final ClickHouseErrorCode PARTITION_ATTACH_FAILED

#### RESHARDING_NO_WORKER

    public static final ClickHouseErrorCode RESHARDING_NO_WORKER

#### INVALID_PARTITIONS_INTERVAL

    public static final ClickHouseErrorCode INVALID_PARTITIONS_INTERVAL

#### RESHARDING_INVALID_PARAMETERS

    public static final ClickHouseErrorCode RESHARDING_INVALID_PARAMETERS

#### INVALID_SHARD_WEIGHT

    public static final ClickHouseErrorCode INVALID_SHARD_WEIGHT

#### INVALID_CONFIG_PARAMETER

    public static final ClickHouseErrorCode INVALID_CONFIG_PARAMETER

#### UNKNOWN_STATUS_OF_INSERT

    public static final ClickHouseErrorCode UNKNOWN_STATUS_OF_INSERT

#### DUPLICATE_SHARD_PATHS

    public static final ClickHouseErrorCode DUPLICATE_SHARD_PATHS

#### VALUE_IS_OUT_OF_RANGE_OF_DATA_TYPE

    public static final ClickHouseErrorCode VALUE_IS_OUT_OF_RANGE_OF_DATA_TYPE

#### RESHARDING_BUSY_CLUSTER

    public static final ClickHouseErrorCode RESHARDING_BUSY_CLUSTER

#### RESHARDING_BUSY_SHARD

    public static final ClickHouseErrorCode RESHARDING_BUSY_SHARD

#### RESHARDING_NO_SUCH_COORDINATOR

    public static final ClickHouseErrorCode RESHARDING_NO_SUCH_COORDINATOR

#### RESHARDING_NO_COORDINATOR_MEMBERSHIP

    public static final ClickHouseErrorCode RESHARDING_NO_COORDINATOR_MEMBERSHIP

#### RESHARDING_ALREADY_SUBSCRIBED

    public static final ClickHouseErrorCode RESHARDING_ALREADY_SUBSCRIBED

#### RESHARDING_REMOTE_NODE_UNAVAILABLE

    public static final ClickHouseErrorCode RESHARDING_REMOTE_NODE_UNAVAILABLE

#### RESHARDING_REMOTE_NODE_ERROR

    public static final ClickHouseErrorCode RESHARDING_REMOTE_NODE_ERROR

#### RESHARDING_COORDINATOR_DELETED

    public static final ClickHouseErrorCode RESHARDING_COORDINATOR_DELETED

#### RESHARDING_DISTRIBUTED_JOB_ON_HOLD

    public static final ClickHouseErrorCode RESHARDING_DISTRIBUTED_JOB_ON_HOLD

#### RESHARDING_INVALID_QUERY

    public static final ClickHouseErrorCode RESHARDING_INVALID_QUERY

#### RESHARDING_INITIATOR_CHECK_FAILED

    public static final ClickHouseErrorCode RESHARDING_INITIATOR_CHECK_FAILED

#### RWLOCK_ALREADY_HELD

    public static final ClickHouseErrorCode RWLOCK_ALREADY_HELD

#### RWLOCK_NO_SUCH_LOCK

    public static final ClickHouseErrorCode RWLOCK_NO_SUCH_LOCK

#### BARRIER_TIMEOUT

    public static final ClickHouseErrorCode BARRIER_TIMEOUT

#### UNKNOWN_DATABASE_ENGINE

    public static final ClickHouseErrorCode UNKNOWN_DATABASE_ENGINE

#### DDL_GUARD_IS_ACTIVE

    public static final ClickHouseErrorCode DDL_GUARD_IS_ACTIVE

#### UNFINISHED

    public static final ClickHouseErrorCode UNFINISHED

#### METADATA_MISMATCH

    public static final ClickHouseErrorCode METADATA_MISMATCH

#### SUPPORT_IS_DISABLED

    public static final ClickHouseErrorCode SUPPORT_IS_DISABLED

#### TABLE_DIFFERS_TOO_MUCH

    public static final ClickHouseErrorCode TABLE_DIFFERS_TOO_MUCH

#### CANNOT_CONVERT_CHARSET

    public static final ClickHouseErrorCode CANNOT_CONVERT_CHARSET

#### CANNOT_LOAD_CONFIG

    public static final ClickHouseErrorCode CANNOT_LOAD_CONFIG

#### CANNOT_INSERT_NULL_IN_ORDINARY_COLUMN

    public static final ClickHouseErrorCode CANNOT_INSERT_NULL_IN_ORDINARY_COLUMN

#### INCOMPATIBLE_SOURCE_TABLES

    public static final ClickHouseErrorCode INCOMPATIBLE_SOURCE_TABLES

#### AMBIGUOUS_TABLE_NAME

    public static final ClickHouseErrorCode AMBIGUOUS_TABLE_NAME

#### AMBIGUOUS_COLUMN_NAME

    public static final ClickHouseErrorCode AMBIGUOUS_COLUMN_NAME

#### INDEX_OF_POSITIONAL_ARGUMENT_IS_OUT_OF_RANGE

    public static final ClickHouseErrorCode INDEX_OF_POSITIONAL_ARGUMENT_IS_OUT_OF_RANGE

#### ZLIB_INFLATE_FAILED

    public static final ClickHouseErrorCode ZLIB_INFLATE_FAILED

#### ZLIB_DEFLATE_FAILED

    public static final ClickHouseErrorCode ZLIB_DEFLATE_FAILED

#### BAD_LAMBDA

    public static final ClickHouseErrorCode BAD_LAMBDA

#### RESERVED_IDENTIFIER_NAME

    public static final ClickHouseErrorCode RESERVED_IDENTIFIER_NAME

#### INTO_OUTFILE_NOT_ALLOWED

    public static final ClickHouseErrorCode INTO_OUTFILE_NOT_ALLOWED

#### TABLE_SIZE_EXCEEDS_MAX_DROP_SIZE_LIMIT

    public static final ClickHouseErrorCode TABLE_SIZE_EXCEEDS_MAX_DROP_SIZE_LIMIT

#### CANNOT_CREATE_CHARSET_CONVERTER

    public static final ClickHouseErrorCode CANNOT_CREATE_CHARSET_CONVERTER

#### SEEK_POSITION_OUT_OF_BOUND

    public static final ClickHouseErrorCode SEEK_POSITION_OUT_OF_BOUND

#### CURRENT_WRITE_BUFFER_IS_EXHAUSTED

    public static final ClickHouseErrorCode CURRENT_WRITE_BUFFER_IS_EXHAUSTED

#### CANNOT_CREATE_IO_BUFFER

    public static final ClickHouseErrorCode CANNOT_CREATE_IO_BUFFER

#### RECEIVED_ERROR_TOO_MANY_REQUESTS

    public static final ClickHouseErrorCode RECEIVED_ERROR_TOO_MANY_REQUESTS

#### OUTPUT_IS_NOT_SORTED

    public static final ClickHouseErrorCode OUTPUT_IS_NOT_SORTED

#### SIZES_OF_NESTED_COLUMNS_ARE_INCONSISTENT

    public static final ClickHouseErrorCode SIZES_OF_NESTED_COLUMNS_ARE_INCONSISTENT

#### TOO_MANY_FETCHES

    public static final ClickHouseErrorCode TOO_MANY_FETCHES

#### BAD_CAST

    public static final ClickHouseErrorCode BAD_CAST

#### ALL_REPLICAS_ARE_STALE

    public static final ClickHouseErrorCode ALL_REPLICAS_ARE_STALE

#### DATA_TYPE_CANNOT_BE_USED_IN_TABLES

    public static final ClickHouseErrorCode DATA_TYPE_CANNOT_BE_USED_IN_TABLES

#### INCONSISTENT_CLUSTER_DEFINITION

    public static final ClickHouseErrorCode INCONSISTENT_CLUSTER_DEFINITION

#### SESSION_NOT_FOUND

    public static final ClickHouseErrorCode SESSION_NOT_FOUND

#### SESSION_IS_LOCKED

    public static final ClickHouseErrorCode SESSION_IS_LOCKED

#### INVALID_SESSION_TIMEOUT

    public static final ClickHouseErrorCode INVALID_SESSION_TIMEOUT

#### CANNOT_DLOPEN

    public static final ClickHouseErrorCode CANNOT_DLOPEN

#### CANNOT_PARSE_UUID

    public static final ClickHouseErrorCode CANNOT_PARSE_UUID

#### ILLEGAL_SYNTAX_FOR_DATA_TYPE

    public static final ClickHouseErrorCode ILLEGAL_SYNTAX_FOR_DATA_TYPE

#### DATA_TYPE_CANNOT_HAVE_ARGUMENTS

    public static final ClickHouseErrorCode DATA_TYPE_CANNOT_HAVE_ARGUMENTS

#### UNKNOWN_STATUS_OF_DISTRIBUTED_DDL_TASK

    public static final ClickHouseErrorCode UNKNOWN_STATUS_OF_DISTRIBUTED_DDL_TASK

#### CANNOT_KILL

    public static final ClickHouseErrorCode CANNOT_KILL

#### HTTP_LENGTH_REQUIRED

    public static final ClickHouseErrorCode HTTP_LENGTH_REQUIRED

#### CANNOT_LOAD_CATBOOST_MODEL

    public static final ClickHouseErrorCode CANNOT_LOAD_CATBOOST_MODEL

#### CANNOT_APPLY_CATBOOST_MODEL

    public static final ClickHouseErrorCode CANNOT_APPLY_CATBOOST_MODEL

#### PART_IS_TEMPORARILY_LOCKED

    public static final ClickHouseErrorCode PART_IS_TEMPORARILY_LOCKED

#### MULTIPLE_STREAMS_REQUIRED

    public static final ClickHouseErrorCode MULTIPLE_STREAMS_REQUIRED

#### NO_COMMON_TYPE

    public static final ClickHouseErrorCode NO_COMMON_TYPE

#### EXTERNAL_LOADABLE_ALREADY_EXISTS

    public static final ClickHouseErrorCode EXTERNAL_LOADABLE_ALREADY_EXISTS

#### CANNOT_ASSIGN_OPTIMIZE

    public static final ClickHouseErrorCode CANNOT_ASSIGN_OPTIMIZE

#### INSERT_WAS_DEDUPLICATED

    public static final ClickHouseErrorCode INSERT_WAS_DEDUPLICATED

#### CANNOT_GET_CREATE_TABLE_QUERY

    public static final ClickHouseErrorCode CANNOT_GET_CREATE_TABLE_QUERY

#### EXTERNAL_LIBRARY_ERROR

    public static final ClickHouseErrorCode EXTERNAL_LIBRARY_ERROR

#### QUERY_IS_PROHIBITED

    public static final ClickHouseErrorCode QUERY_IS_PROHIBITED

#### THERE_IS_NO_QUERY

    public static final ClickHouseErrorCode THERE_IS_NO_QUERY

#### QUERY_WAS_CANCELLED

    public static final ClickHouseErrorCode QUERY_WAS_CANCELLED

#### FUNCTION_THROW_IF_VALUE_IS_NON_ZERO

    public static final ClickHouseErrorCode FUNCTION_THROW_IF_VALUE_IS_NON_ZERO

#### TOO_MANY_ROWS_OR_BYTES

    public static final ClickHouseErrorCode TOO_MANY_ROWS_OR_BYTES

#### QUERY_IS_NOT_SUPPORTED_IN_MATERIALIZED_VIEW

    public static final ClickHouseErrorCode QUERY_IS_NOT_SUPPORTED_IN_MATERIALIZED_VIEW

#### UNKNOWN_MUTATION_COMMAND

    public static final ClickHouseErrorCode UNKNOWN_MUTATION_COMMAND

#### FORMAT_IS_NOT_SUITABLE_FOR_OUTPUT

    public static final ClickHouseErrorCode FORMAT_IS_NOT_SUITABLE_FOR_OUTPUT

#### CANNOT_STAT

    public static final ClickHouseErrorCode CANNOT_STAT

#### FEATURE_IS_NOT_ENABLED_AT_BUILD_TIME

    public static final ClickHouseErrorCode FEATURE_IS_NOT_ENABLED_AT_BUILD_TIME

#### CANNOT_IOSETUP

    public static final ClickHouseErrorCode CANNOT_IOSETUP

#### INVALID_JOIN_ON_EXPRESSION

    public static final ClickHouseErrorCode INVALID_JOIN_ON_EXPRESSION

#### BAD_ODBC_CONNECTION_STRING

    public static final ClickHouseErrorCode BAD_ODBC_CONNECTION_STRING

#### PARTITION_SIZE_EXCEEDS_MAX_DROP_SIZE_LIMIT

    public static final ClickHouseErrorCode PARTITION_SIZE_EXCEEDS_MAX_DROP_SIZE_LIMIT

#### TOP_AND_LIMIT_TOGETHER

    public static final ClickHouseErrorCode TOP_AND_LIMIT_TOGETHER

#### DECIMAL_OVERFLOW

    public static final ClickHouseErrorCode DECIMAL_OVERFLOW

#### BAD_REQUEST_PARAMETER

    public static final ClickHouseErrorCode BAD_REQUEST_PARAMETER

#### EXTERNAL_EXECUTABLE_NOT_FOUND

    public static final ClickHouseErrorCode EXTERNAL_EXECUTABLE_NOT_FOUND

#### EXTERNAL_SERVER_IS_NOT_RESPONDING

    public static final ClickHouseErrorCode EXTERNAL_SERVER_IS_NOT_RESPONDING

#### PTHREAD_ERROR

    public static final ClickHouseErrorCode PTHREAD_ERROR

#### NETLINK_ERROR

    public static final ClickHouseErrorCode NETLINK_ERROR

#### CANNOT_SET_SIGNAL_HANDLER

    public static final ClickHouseErrorCode CANNOT_SET_SIGNAL_HANDLER

#### CANNOT_READLINE

    public static final ClickHouseErrorCode CANNOT_READLINE

#### ALL_REPLICAS_LOST

    public static final ClickHouseErrorCode ALL_REPLICAS_LOST

#### REPLICA_STATUS_CHANGED

    public static final ClickHouseErrorCode REPLICA_STATUS_CHANGED

#### EXPECTED_ALL_OR_ANY

    public static final ClickHouseErrorCode EXPECTED_ALL_OR_ANY

#### UNKNOWN_JOIN_STRICTNESS

    public static final ClickHouseErrorCode UNKNOWN_JOIN_STRICTNESS

#### MULTIPLE_ASSIGNMENTS_TO_COLUMN

    public static final ClickHouseErrorCode MULTIPLE_ASSIGNMENTS_TO_COLUMN

#### CANNOT_UPDATE_COLUMN

    public static final ClickHouseErrorCode CANNOT_UPDATE_COLUMN

#### CANNOT_ADD_DIFFERENT_AGGREGATE_STATES

    public static final ClickHouseErrorCode CANNOT_ADD_DIFFERENT_AGGREGATE_STATES

#### UNSUPPORTED_URI_SCHEME

    public static final ClickHouseErrorCode UNSUPPORTED_URI_SCHEME

#### CANNOT_GETTIMEOFDAY

    public static final ClickHouseErrorCode CANNOT_GETTIMEOFDAY

#### CANNOT_LINK

    public static final ClickHouseErrorCode CANNOT_LINK

#### SYSTEM_ERROR

    public static final ClickHouseErrorCode SYSTEM_ERROR

#### NULL_POINTER_DEREFERENCE

    public static final ClickHouseErrorCode NULL_POINTER_DEREFERENCE

#### CANNOT_COMPILE_REGEXP

    public static final ClickHouseErrorCode CANNOT_COMPILE_REGEXP

#### UNKNOWN_LOG_LEVEL

    public static final ClickHouseErrorCode UNKNOWN_LOG_LEVEL

#### FAILED_TO_GETPWUID

    public static final ClickHouseErrorCode FAILED_TO_GETPWUID

#### MISMATCHING_USERS_FOR_PROCESS_AND_DATA

    public static final ClickHouseErrorCode MISMATCHING_USERS_FOR_PROCESS_AND_DATA

#### ILLEGAL_SYNTAX_FOR_CODEC_TYPE

    public static final ClickHouseErrorCode ILLEGAL_SYNTAX_FOR_CODEC_TYPE

#### UNKNOWN_CODEC

    public static final ClickHouseErrorCode UNKNOWN_CODEC

#### ILLEGAL_CODEC_PARAMETER

    public static final ClickHouseErrorCode ILLEGAL_CODEC_PARAMETER

#### CANNOT_PARSE_PROTOBUF_SCHEMA

    public static final ClickHouseErrorCode CANNOT_PARSE_PROTOBUF_SCHEMA

#### NO_DATA_FOR_REQUIRED_PROTOBUF_FIELD

    public static final ClickHouseErrorCode NO_DATA_FOR_REQUIRED_PROTOBUF_FIELD

#### PROTOBUF_BAD_CAST

    public static final ClickHouseErrorCode PROTOBUF_BAD_CAST

#### PROTOBUF_FIELD_NOT_REPEATED

    public static final ClickHouseErrorCode PROTOBUF_FIELD_NOT_REPEATED

#### DATA_TYPE_CANNOT_BE_PROMOTED

    public static final ClickHouseErrorCode DATA_TYPE_CANNOT_BE_PROMOTED

#### CANNOT_SCHEDULE_TASK

    public static final ClickHouseErrorCode CANNOT_SCHEDULE_TASK

#### INVALID_LIMIT_EXPRESSION

    public static final ClickHouseErrorCode INVALID_LIMIT_EXPRESSION

#### CANNOT_PARSE_DOMAIN_VALUE_FROM_STRING

    public static final ClickHouseErrorCode CANNOT_PARSE_DOMAIN_VALUE_FROM_STRING

#### BAD_DATABASE_FOR_TEMPORARY_TABLE

    public static final ClickHouseErrorCode BAD_DATABASE_FOR_TEMPORARY_TABLE

#### NO_COMMON_COLUMNS_WITH_PROTOBUF_SCHEMA

    public static final ClickHouseErrorCode NO_COMMON_COLUMNS_WITH_PROTOBUF_SCHEMA

#### UNKNOWN_PROTOBUF_FORMAT

    public static final ClickHouseErrorCode UNKNOWN_PROTOBUF_FORMAT

#### CANNOT_MPROTECT

    public static final ClickHouseErrorCode CANNOT_MPROTECT

#### FUNCTION_NOT_ALLOWED

    public static final ClickHouseErrorCode FUNCTION_NOT_ALLOWED

#### HYPERSCAN_CANNOT_SCAN_TEXT

    public static final ClickHouseErrorCode HYPERSCAN_CANNOT_SCAN_TEXT

#### BROTLI_READ_FAILED

    public static final ClickHouseErrorCode BROTLI_READ_FAILED

#### BROTLI_WRITE_FAILED

    public static final ClickHouseErrorCode BROTLI_WRITE_FAILED

#### BAD_TTL_EXPRESSION

    public static final ClickHouseErrorCode BAD_TTL_EXPRESSION

#### BAD_TTL_FILE

    public static final ClickHouseErrorCode BAD_TTL_FILE

#### SETTING_CONSTRAINT_VIOLATION

    public static final ClickHouseErrorCode SETTING_CONSTRAINT_VIOLATION

#### KEEPER_EXCEPTION

    public static final ClickHouseErrorCode KEEPER_EXCEPTION

#### POCO_EXCEPTION

    public static final ClickHouseErrorCode POCO_EXCEPTION

#### STD_EXCEPTION

    public static final ClickHouseErrorCode STD_EXCEPTION

#### UNKNOWN_EXCEPTION

    public static final ClickHouseErrorCode UNKNOWN_EXCEPTION

### Field Detail

#### code

    public final Integer code

### Method Detail

#### values

    public static ClickHouseErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClickHouseErrorCode c : ClickHouseErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClickHouseErrorCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromCode

    public static ClickHouseErrorCode fromCode​(Integer code)

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ClickHouseErrorCode>`